QT       += core gui charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    Airplane.cpp \
    CTower.cpp \
    ChartDialog.cpp \
    Dim2Vector.cpp \
    Factory.cpp \
    FadableItem.cpp \
    HistoryChart.cpp \
    House.cpp \
    Ice.cpp \
    Light.cpp \
    MainWindow.cpp \
    MovementUnitVector.cpp \
    MyQChart.cpp \
    MyQPushButton.cpp \
    MyTimer.cpp \
    Particle.cpp \
    RightSideChart.cpp \
    Tree.cpp \
    View.cpp \
    Water.cpp \
    main.cpp

HEADERS += \
    Airplane.h \
    CTower.h \
    ChartDialog.h \
    Dim2Vector.h \
    Factory.h \
    FadableItem.h \
    HistoryChart.h \
    House.h \
    Ice.h \
    Light.h \
    MainWindow.h \
    MovementUnitVector.h \
    MyQChart.h \
    MyQPushButton.h \
    MyTimer.h \
    Particle.h \
    RightSideChart.h \
    Tree.h \
    View.h \
    Water.h

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    icons/icons.qrc \
    img/img.qrc
